# Display on

A decision block that checks if a display is turned on, or off.

If the proceed option is set to Immediately, then check if the display is currently on, or off, without pausing the fiber. If set to When changed, then the fiber will pause until the display has turned on, or was turned off.

To determine user availability use the Device interactive block instead, it checks if the device is awake and ready to interact with the user.

Note! This feature requires Android 5+.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Display id — id of the display to check, see Display query block, default is id of the primary display.